<?php require_once('../../Connections/cn.php'); ?>
<?php
//.................................................................................................. 
// Nombre del Script: archivo_10.php
// Llamado desde: imprime_10.php
// Descripción: Permite generar el Archivo 10: Datos sobre Servicio Comunitario de la OPSU
//..................................................................................................
$annio=$_GET['annio'];
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Se define el query de los datos que contendr� el reporte.
$query = "SELECT DISTINCT
'0000000141' as codinstituto,
cedula,
proyecto,
comunidad,
municipio,
estado,
beneficiados,
inicio,
fin
from servicio_comunitario WHERE annio='$annio' and proyecto<>''";

$r = mysql_query( $query ) or trigger_error( mysql_error($cn), E_USER_ERROR );
$return = '';
if( mysql_num_rows($r)>0){
    $return .= '<table border=1>';
    $cols = 0;
    while($rs = mysql_fetch_row($r)){
        $return .= '<tr>';
        if($cols==0){
            $cols = sizeof($rs);
            $cols_names = array();
            for($i=0; $i<$cols; $i++){
                $col_name = mysql_field_name($r,$i);
	
                   $return .= '<th>'.htmlspecialchars($col_name).'</th>';
                   $cols_names[$i] = $col_name;
            }
            $return .= '</tr><tr>';
        }
        for($i=0; $i<$cols; $i++){
            # En esta iteración se personalizan datos.
            if($cols_names[$i] == 'proyecto'){ # Formateo el nombre de la institución.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'comunidad'){ # Formateo Código del Instituto
                $return .= '<td>'.utf8_decode(strtoupper($rs[$i])).'</td>';
            }else if($cols_names[$i] == 'codinstituto'){ # Formateo del Código Principal
                $return .= '<td >&nbsp;'.$rs[$i].'</td>';
			}else if($cols_names[$i] == 'municipio'){ # Formateo la descripcion de la materia.
                $return .= '<td>&nbsp;'.utf8_decode($rs[$i]).'</td>';
			}else if($cols_names[$i] == 'estado'){ # Formateo la descripcion de la materia.
                $return .= '<td>&nbsp;'.utf8_decode($rs[$i]).'</td>';	
			}else if($cols_names[$i] == 'dedicacion'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';	
			}else if($cols_names[$i] == 'grado_academico'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';	
			}else{
                $return .= '<td>'.htmlspecialchars($rs[$i]).'</td>';
            }
        }
        $return .= '</tr>';
    }
    $return .= '</table>';
    mysql_free_result($r);
}
#Cambiando el content-type más las <table> se pueden exportar formatos como csv
header("Content-type: application/vnd-ms-excel; charset=iso-8859-1");
header("Content-Disposition: attachment; filename=archivo_10_enahp_".$annio.".xls");
echo $return; 
?>

